Subject: compiling V 1.18 with mingw32
From: [email-masked] (Alain CULOS)

11 Apr 1998 06:56:59 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: V++ <[email-masked]>, cygwin <[email-masked]>

Dear all,

I recently downloaded Mingw32 (the one that goes with gcc 2.8.1) and V GUI (version 1.18) including the makefiles for Mingw32.

One funny thing, what had happened the compile for V1.17 has happened the same in V1.18 : strtok and strchr both miss a definition from what we can see below (V1.17) :

> g++ -O3 -c -I../includew -D_WIN32 VAPP.cpp -o VAPP.o
> VAPP.cpp: In function `int CMain(void *, void *, char *, int)':
> VAPP.cpp:1032: warning: implicit declaration of function `int
> strtok(...)'
> VAPP.cpp:1032: warning: assignment to `char *' from `int' lacks a cast
> VAPP.cpp:1036: warning: implicit declaration of function `int
> strchr(...)'
> VAPP.cpp:1036: ANSI C++ forbids comparison between pointer and integer
> VAPP.cpp:1038: warning: assignment to `char *' from `int' lacks a cast
> D:\MINGW32\BIN\MAKE.EXE: *** [VAPP.o] Error 1

In V1.18 the only difference is in line numbers (1040 & 1044).

Nice and helpful users gave me hints about headers that might be incomplete, I checked and even though Mingw32 and Cygwin32 define strings.h very differently they are meant to do the same job in the end. I replaced one by the other, the same error message got displayed when I tried to compile again.

I eventually decided to copy the Mingw32 string.h header in another directory of the header search list, and miracle, it worked.
I do not understand that bit of the story. To clarify it a bit I have to say my only disk drive is partitionned in C: and D:, the program I compile is on C: and Mingw32 is installed on D:, but so is Cygwin32.
The program I compile (V GUI 1.18) does use loads of other standard include files, there is no problem with any of them, only string.h gives me problems.

I would appreciate very much to know if anyone out there has any clue about what is happening in this compile. Why should it not find string.h in its normal location ? This is a Mingw32 related problem. I did not have that problem with Cygwin32.

MTIA for all replies,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".